Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class RuleSetNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.RuleSetNode

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

    public class RuleSetNode

extends StateBasedNode

Default implementation of a RuleSet node.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`RuleSetNode()`

Method Summary
`void` | `addInAssociation(DataAssociation dataAssociation)`
`void` | `addInMapping(String parameterName, String variableName)`
`void` | `addOutAssociation(DataAssociation dataAssociation)`
`void` | `addOutMapping(String parameterName, String variableName)`
`List<DataAssociation>` | `getInAssociations()`
`String` | `getInMapping(String parameterName)`
`Map<String,String>` | `getInMappings()`
`List<DataAssociation>` | `getOutAssociations()`
`String` | `getOutMapping(String parameterName)`
`Map<String,String>` | `getOutMappings()`
`Object` | `getParameter(String param)`
`Map<String,Object>` | `getParameters()`
`String` | `getRuleFlowGroup()`
`void` | `setInMappings(Map<String,String> inMapping)`
`void` | `setOutMappings(Map<String,String> outMapping)`
`void` | `setParameter(String param, Object value)`
`void` | `setParameters(Map<String,Object> parameters)`
`void` | `setRuleFlowGroup(String ruleFlowGroup)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleSetNode

    public RuleSetNode()

Method Detail

### setRuleFlowGroup

    public void setRuleFlowGroup(String ruleFlowGroup)

### getRuleFlowGroup

    public String getRuleFlowGroup()

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddIncomingConnection` in class `NodeImpl`

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddOutgoingConnection` in class `NodeImpl`

### addInMapping

    public void addInMapping(String parameterName,
                             String variableName)

### setInMappings

    public void setInMappings(Map<String,String> inMapping)

### getInMapping

    public String getInMapping(String parameterName)

### getInMappings

    public Map<String,String> getInMappings()

### addInAssociation

    public void addInAssociation(DataAssociation dataAssociation)

### getInAssociations

    public List<DataAssociation> getInAssociations()

### addOutMapping

    public void addOutMapping(String parameterName,
                              String variableName)

### setOutMappings

    public void setOutMappings(Map<String,String> outMapping)

### getOutMapping

    public String getOutMapping(String parameterName)

### getOutMappings

    public Map<String,String> getOutMappings()

### addOutAssociation

    public void addOutAssociation(DataAssociation dataAssociation)

### getOutAssociations

    public List<DataAssociation> getOutAssociations()

### getParameters

    public Map<String,Object> getParameters()

### setParameters

    public void setParameters(Map<String,Object> parameters)

### setParameter

    public void setParameter(String param,
                             Object value)

### getParameter

    public Object getParameter(String param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.